For Developers

Copy Rule

POST https://ed.link/api/v2/teams/:team_id/integrations/:integration_id/rules/:rule_id/copy

Clones an existing rule within the integration.

Permissions

Requires either the rules.create or rules.update system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:integration_idUUIDYesThe ID of the integration.
:rule_idUUIDYesThe ID of the rule to clone.

Sample Request

const response = await axios.post(
    `https://ed.link/api/v2/teams/${team_id}/integrations/${integration_id}/rules/${rule_id}/copy`,
    {},
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": {
        "id": "98129a0f-48b1-419b-a712-401928371902",
        "name": "Copy of Exclude Graduated Students"
    }
}